mwDirectoryHandler Struct Reference

handles asynchronous events for a directory service instance More...

`#include <mw_srvc_dir.h>`

## Data Fields

void(* | clear )(struct mwServiceDirectory *srvc)
| optional.
void(* | dir_closed )(struct mwDirectory *dir, guint32 reason)
| triggered when a directory has been closed
void(* | dir_opened )(struct mwDirectory *dir)
| triggered when a directory has been successfully opened
void(* | on_book_list )(struct mwServiceDirectory *srvc, GList *books)
| handle receipt of the address book list from the service.

## Detailed Description

handles asynchronous events for a directory service instance

## Field Documentation

## clear

void(* mwDirectoryHandler::clear) (struct mwServiceDirectory *srvc)

optional.

called from mwService_free

## dir_closed

void(* mwDirectoryHandler::dir_closed) (struct mwDirectory *dir, guint32 reason)

triggered when a directory has been closed

## dir_opened

void(* mwDirectoryHandler::dir_opened) (struct mwDirectory *dir)

triggered when a directory has been successfully opened

## on_book_list

void(* mwDirectoryHandler::on_book_list) (struct mwServiceDirectory *srvc, GList *books)

handle receipt of the address book list from the service.

Initially triggered by mwServiceDirectory_refreshAddressBooks and at service startup

The documentation for this struct was generated from the following file:

- mw_srvc_dir.h